{
    "editor.formatOnSave": true,


    "cmake.configureOnStart": false,
    "cmake.configureOnOpen":false,
    "cmake.buildDirectory": "${env:HOME}/buildTree/debug/cpp/ring_buffer/ring_buffer/${buildType}",
    "cmake.sourceDirectory": "${workspaceFolder}",
    "C_Cpp.default.configurationProvider": "go2sh.cmake-integration",
    "cmake.generator": "Unix Makefiles",
    "cmake.preferredGenerators": ["Unix Makefiles","Ninja"],
    "cmake.parallelJobs": 6,
    "cmake.saveBeforeBuild": true
}
